# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:10

#####
Index

### Constructors

constructor

### Properties

mock

### Methods

post
postServiceStatus
postSyncEntryProgress
postSyncStatus
mockClear

##
Constructors

### constructor

- new default(): default

- #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:19

##
Properties

### `Static` mock

mock: any

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:17

##
Methods

### post

- post(msg): void

- #### Parameters

  - msg: BroadcastChannelMessage

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:46

### postServiceStatus

- postServiceStatus(name, status, message?): void

- #### Parameters

  - name: ServiceName
  - status: ServiceStatus
  - `Optional` message: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:23

### postSyncEntryProgress

- postSyncEntryProgress(entry, state): void

- #### Parameters

  - entry: SyncEntryName
  - state: SyncProgress

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:41

### postSyncStatus

- postSyncStatus(status, lastError?): void

- #### Parameters

  - status: ServiceStatus
  - `Optional` lastError: string

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:34

### `Static` mockClear

- mockClear(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/channels/BroadcastChannelSender.ts:11